## org.firebirdsql.jdbc
Class FBConnectionProperties

    java.lang.Object
      org.firebirdsql.jdbc.FBConnectionProperties

All Implemented Interfaces:
  Serializable, FirebirdConnectionProperties

    public class FBConnectionProperties

extends Object
implements FirebirdConnectionProperties, Serializable

See Also:
  Serialized Form

Field Summary
`static String` `BLOB_BUFFER_SIZE_PROPERTY`
`static String` `BUFFERS_NUMBER_PROPERTY`
`static String` `DATABASE_PROPERTY`
`static String` `DEFAULT_HOLDABLE_RS_PROPERTY`
`static String` `DEFAULT_ISOLATION_PROPERTY`
`static String` `ENCODING_PROPERTY`
`static String` `ISOLATION_PROPERTY`
`static String` `LOCAL_ENCODING_PROPERTY`
`static String` `PASSWORD_PROPERTY`
`static String` `ROLE_NAME_PROPERTY`
`static String` `SOCKET_BUFFER_SIZE_PROPERTY`
`static String` `SQL_DIALECT_PROPERTY`
`static String` `TIMESTAMP_USES_LOCAL_TIMEZONE_PROPERTY`
`static String` `TYPE_PROPERTY`
`static String` `USE_STANDARD_UDF_PROPERTY`
`static String` `USE_STREAM_BLOBS_PROPERTY`
`static String` `USE_TRANSLATION_PROPERTY`
`static String` `USER_NAME_PROPERTY`

Constructor Summary
`FBConnectionProperties()`

Method Summary
`Object` `clone()`
`boolean` `equals(Object obj)`
`int` `getBlobBufferSize()`
`int` `getBuffersNumber()`
`String` `getCharSet()`
`String` `getDatabase()`
`DatabaseParameterBuffer` `getDatabaseParameterBuffer()` Get the database parameter buffer corresponding to the current connection request information.
`String` `getDefaultIsolation()` Get the default transaction isolation level as string.
`int` `getDefaultTransactionIsolation()` Get the default transaction isolation level.
`String` `getEncoding()`
`FBTpbMapper` `getMapper()`
`String` `getNonStandardProperty(String key)` Get the property that does not have corresponding getter method by its name.
`String` `getPassword()`
`String` `getRoleName()`
`int` `getSocketBufferSize()`
`String` `getSqlDialect()`
`String` `getTpbMapping()` Get the used TPB mapping.
`TransactionParameterBuffer` `getTransactionParameters(int isolation)` Get the transaction parameter buffer corresponding to the current connection request information.
`String` `getType()`
`String` `getUserName()`
`String` `getUseTranslation()`
`int` `hashCode()`
`boolean` `isDefaultResultSetHoldable()`
`boolean` `isTimestampUsesLocalTimezone()`
`boolean` `isUseStandardUdf()`
`boolean` `isUseStreamBlobs()`
`void` `setBlobBufferSize(int bufferSize)`
`void` `setBuffersNumber(int buffersNumber)`
`void` `setCharSet(String charSet)`
`void` `setDatabase(String database)`
`void` `setDefaultIsolation(String isolation)` Set the default transaction isolation level as string.
`void` `setDefaultResultSetHoldable(boolean isHoldable)`
`void` `setDefaultTransactionIsolation(int defaultIsolationLevel)` Set the default transaction isolation level.
`void` `setEncoding(String encoding)`
`void` `setNonStandardProperty(String propertyMapping)` Set the property that does not have corresponding setter method.
`void` `setNonStandardProperty(String key, String value)` Set the property that does not have corresponding setter method.
`void` `setPassword(String password)`
`void` `setRoleName(String roleName)`
`void` `setSocketBufferSize(int socketBufferSize)`
`void` `setSqlDialect(String sqlDialect)`
`void` `setTimestampUsesLocalTimezone(boolean timestampUsesLocalTimezone)`
`void` `setTpbMapping(String tpbMapping)` Set path to the properties file with the TPB mapping.
`void` `setTransactionParameters(int isolation, TransactionParameterBuffer tpb)` Set transaction parameters for the specified transaction isolation level.
`void` `setType(String type)`
`void` `setUserName(String userName)`
`void` `setUseStandardUdf(boolean useStandardUdf)`
`void` `setUseStreamBlobs(boolean useStreamBlobs)`
`void` `setUseTranslation(String translationPath)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATABASE_PROPERTY

    public static final String DATABASE_PROPERTY

See Also:
  Constant Field Values

### TYPE_PROPERTY

    public static final String TYPE_PROPERTY

See Also:
  Constant Field Values

### ISOLATION_PROPERTY

    public static final String ISOLATION_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_ISOLATION_PROPERTY

    public static final String DEFAULT_ISOLATION_PROPERTY

See Also:
  Constant Field Values

### BLOB_BUFFER_SIZE_PROPERTY

    public static final String BLOB_BUFFER_SIZE_PROPERTY

See Also:
  Constant Field Values

### LOCAL_ENCODING_PROPERTY

    public static final String LOCAL_ENCODING_PROPERTY

See Also:
  Constant Field Values

### ENCODING_PROPERTY

    public static final String ENCODING_PROPERTY

See Also:
  Constant Field Values

### ROLE_NAME_PROPERTY

    public static final String ROLE_NAME_PROPERTY

See Also:
  Constant Field Values

### SQL_DIALECT_PROPERTY

    public static final String SQL_DIALECT_PROPERTY

See Also:
  Constant Field Values

### USE_TRANSLATION_PROPERTY

    public static final String USE_TRANSLATION_PROPERTY

See Also:
  Constant Field Values

### USE_STREAM_BLOBS_PROPERTY

    public static final String USE_STREAM_BLOBS_PROPERTY

See Also:
  Constant Field Values

### USE_STANDARD_UDF_PROPERTY

    public static final String USE_STANDARD_UDF_PROPERTY

See Also:
  Constant Field Values

### SOCKET_BUFFER_SIZE_PROPERTY

    public static final String SOCKET_BUFFER_SIZE_PROPERTY

See Also:
  Constant Field Values

### TIMESTAMP_USES_LOCAL_TIMEZONE_PROPERTY

    public static final String TIMESTAMP_USES_LOCAL_TIMEZONE_PROPERTY

See Also:
  Constant Field Values

### USER_NAME_PROPERTY

    public static final String USER_NAME_PROPERTY

See Also:
  Constant Field Values

### PASSWORD_PROPERTY

    public static final String PASSWORD_PROPERTY

See Also:
  Constant Field Values

### BUFFERS_NUMBER_PROPERTY

    public static final String BUFFERS_NUMBER_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_HOLDABLE_RS_PROPERTY

    public static final String DEFAULT_HOLDABLE_RS_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### FBConnectionProperties

    public FBConnectionProperties()

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getDatabase

    public String getDatabase()

  Specified by:
    `getDatabase` in interface `FirebirdConnectionProperties`
  Returns:
    path to the database including the server name and the port, if needed.

### setDatabase

    public void setDatabase(String database)

  Specified by:
    `setDatabase` in interface `FirebirdConnectionProperties`
  Parameters:
    `database` - path to the database including the server name and the port, if needed.

### getType

    public String getType()

  Specified by:
    `getType` in interface `FirebirdConnectionProperties`
  Returns:
    type of the connection, for example, "PURE_JAVA", "LOCAL", "EMBEDDED", depends on the GDS implementations installed in the system.

### setType

    public void setType(String type)

  Specified by:
    `setType` in interface `FirebirdConnectionProperties`
  Parameters:
    `type` - type of the connection, for example, "PURE_JAVA", "LOCAL", "EMBEDDED", depends on the GDS implementations installed in the system.

### getBlobBufferSize

    public int getBlobBufferSize()

  Specified by:
    `getBlobBufferSize` in interface `FirebirdConnectionProperties`
  Returns:
    BLOB buffer size in bytes.

### setBlobBufferSize

    public void setBlobBufferSize(int bufferSize)

  Specified by:
    `setBlobBufferSize` in interface `FirebirdConnectionProperties`
  Parameters:
    `bufferSize` - size of the BLOB buffer in bytes.

### getCharSet

    public String getCharSet()

  Specified by:
    `getCharSet` in interface `FirebirdConnectionProperties`
  Returns:
    Character set for the connection.
  See Also:
    `FirebirdConnectionProperties.setCharSet(String)`

### setCharSet

    public void setCharSet(String charSet)

  Specified by:
    `setCharSet` in interface `FirebirdConnectionProperties`
  Parameters:
    `charSet` - Character set for the connection. Similar to `encoding` property, but accepts Java names instead of Firebird ones.

### getEncoding

    public String getEncoding()

  Specified by:
    `getEncoding` in interface `FirebirdConnectionProperties`
  Returns:
    Character encoding for the connection.
  See Also:
    `FirebirdConnectionProperties.setEncoding(String)`

### setEncoding

    public void setEncoding(String encoding)

  Specified by:
    `setEncoding` in interface `FirebirdConnectionProperties`
  Parameters:
    `encoding` - Character encoding for the connection. See Firebird documentation for more information.

### getRoleName

    public String getRoleName()

  Specified by:
    `getRoleName` in interface `FirebirdConnectionProperties`
  Returns:
    SQL role to use.

### setRoleName

    public void setRoleName(String roleName)

  Specified by:
    `setRoleName` in interface `FirebirdConnectionProperties`
  Parameters:
    `roleName` - SQL role to use.

### getSqlDialect

    public String getSqlDialect()

  Specified by:
    `getSqlDialect` in interface `FirebirdConnectionProperties`
  Returns:
    SQL dialect of the client.

### setSqlDialect

    public void setSqlDialect(String sqlDialect)

  Specified by:
    `setSqlDialect` in interface `FirebirdConnectionProperties`
  Parameters:
    `sqlDialect` - SQL dialect of the client.

### getUseTranslation

    public String getUseTranslation()

  Specified by:
    `getUseTranslation` in interface `FirebirdConnectionProperties`
  Returns:
    path to the character translation table.

### setUseTranslation

    public void setUseTranslation(String translationPath)

  Specified by:
    `setUseTranslation` in interface `FirebirdConnectionProperties`
  Parameters:
    `translationPath` - path to the character translation table.

### isUseStreamBlobs

    public boolean isUseStreamBlobs()

  Specified by:
    `isUseStreamBlobs` in interface `FirebirdConnectionProperties`
  Returns:
    `true` if stream blobs should be created, otherwise `false`.

### setUseStreamBlobs

    public void setUseStreamBlobs(boolean useStreamBlobs)

  Specified by:
    `setUseStreamBlobs` in interface `FirebirdConnectionProperties`
  Parameters:
    `useStreamBlobs` - `true` if stream blobs should be created, otherwise `false`.

### isUseStandardUdf

    public boolean isUseStandardUdf()

  Specified by:
    `isUseStandardUdf` in interface `FirebirdConnectionProperties`
  Returns:
    `true` if driver should assume that standard UDF are installed.

### setUseStandardUdf

    public void setUseStandardUdf(boolean useStandardUdf)

  Specified by:
    `setUseStandardUdf` in interface `FirebirdConnectionProperties`
  Parameters:
    `useStandardUdf` - `true` if driver should assume that standard UDF are installed.

### getSocketBufferSize

    public int getSocketBufferSize()

  Specified by:
    `getSocketBufferSize` in interface `FirebirdConnectionProperties`
  Returns:
    socket buffer size in bytes, or -1 is not specified.

### setSocketBufferSize

    public void setSocketBufferSize(int socketBufferSize)

  Specified by:
    `setSocketBufferSize` in interface `FirebirdConnectionProperties`
  Parameters:
    `socketBufferSize` - socket buffer size in bytes.

### isTimestampUsesLocalTimezone

    public boolean isTimestampUsesLocalTimezone()

  Specified by:
    `isTimestampUsesLocalTimezone` in interface `FirebirdConnectionProperties`
  Returns:
    `true` if the Jaybird 1.0 handling of the calendar in corresponding setters. This is also compatible with MySQL calendar treatment.

### setTimestampUsesLocalTimezone

    public void setTimestampUsesLocalTimezone(boolean timestampUsesLocalTimezone)

  Specified by:
    `setTimestampUsesLocalTimezone` in interface `FirebirdConnectionProperties`
  Parameters:
    `timestampUsesLocalTimezone` - `true` if the Jaybird 1.0 handling of the calendar in corresponding setters. This is also compatible with MySQL calendar treatment.

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `FirebirdConnectionProperties`
  Returns:
    name of the user that will be used when connecting to the database.

### setUserName

    public void setUserName(String userName)

  Specified by:
    `setUserName` in interface `FirebirdConnectionProperties`
  Parameters:
    `userName` - name of the user that will be used when connecting to the database.

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `FirebirdConnectionProperties`
  Returns:
    password corresponding to the specified user name.

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `FirebirdConnectionProperties`
  Parameters:
    `password` - password corresponding to the specified user name.

### getBuffersNumber

    public int getBuffersNumber()

  Specified by:
    `getBuffersNumber` in interface `FirebirdConnectionProperties`
  Returns:
    number of cache buffers that should be allocated for this connection, should be specified for ClassicServer instances, SuperServer has a server-wide configuration parameter.

### setBuffersNumber

    public void setBuffersNumber(int buffersNumber)

  Specified by:
    `setBuffersNumber` in interface `FirebirdConnectionProperties`
  Parameters:
    `buffersNumber` - number of cache buffers that should be allocated for this connection, should be specified for ClassicServer instances, SuperServer has a server-wide configuration parameter.

### getNonStandardProperty

    public String getNonStandardProperty(String key)

  Description copied from interface: `FirebirdConnectionProperties`
  Get the property that does not have corresponding getter method by its name.

  Specified by:
    `getNonStandardProperty` in interface `FirebirdConnectionProperties`
  Parameters:
    `key` - name of the property to get.
  Returns:
    value of the property.

### setNonStandardProperty

    public void setNonStandardProperty(String key,
                                       String value)

  Description copied from interface: `FirebirdConnectionProperties`
  Set the property that does not have corresponding setter method.

  Specified by:
    `setNonStandardProperty` in interface `FirebirdConnectionProperties`
  Parameters:
    `key` - name of the property to set.
    `value` - value of the property.

### isDefaultResultSetHoldable

    public boolean isDefaultResultSetHoldable()

  Specified by:
    `isDefaultResultSetHoldable` in interface `FirebirdConnectionProperties`

### setDefaultResultSetHoldable

    public void setDefaultResultSetHoldable(boolean isHoldable)

  Specified by:
    `setDefaultResultSetHoldable` in interface `FirebirdConnectionProperties`

### setNonStandardProperty

    public void setNonStandardProperty(String propertyMapping)

  Description copied from interface: `FirebirdConnectionProperties`
  Set the property that does not have corresponding setter method.

  Specified by:
    `setNonStandardProperty` in interface `FirebirdConnectionProperties`
  Parameters:
    `propertyMapping` - parameter value in the ?propertyName[=propertyValue]? form, this allows setting non-standard parameters using configuration files.

### getDatabaseParameterBuffer

    public DatabaseParameterBuffer getDatabaseParameterBuffer()
                                                       throws SQLException

  Description copied from interface: `FirebirdConnectionProperties`
  Get the database parameter buffer corresponding to the current connection request information.

  Specified by:
    `getDatabaseParameterBuffer` in interface `FirebirdConnectionProperties`
  Returns:
    instance of `DatabaseParameterBuffer`.
  Throws:
    `SQLException` - if database parameter buffer cannot be created.

### getTpbMapping

    public String getTpbMapping()

  Description copied from interface: `FirebirdConnectionProperties`
  Get the used TPB mapping.

  Specified by:
    `getTpbMapping` in interface `FirebirdConnectionProperties`
  Returns:
    path to the TPB mapping.
  See Also:
    `FirebirdConnectionProperties.setTpbMapping(String)`

### setTpbMapping

    public void setTpbMapping(String tpbMapping)

  Description copied from interface: `FirebirdConnectionProperties`
  Set path to the properties file with the TPB mapping. The path begins with the protocol specification followed by the path to the resource. A special protocol `"res:"` should be used to specify resource in the classpath.

  For the compatibility reasons, if no protocol is specified, classpath is used by default.

  Properties file contains a mapping between the transaction isolation level (name of the constant in the `Connection` interface and a comma-separated list of TPB parameters.

  Specified by:
    `setTpbMapping` in interface `FirebirdConnectionProperties`
  Parameters:
    `tpbMapping` - path to the properties file.

### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()

  Description copied from interface: `FirebirdConnectionProperties`
  Get the default transaction isolation level. This is the transaction isolation level for the newly created connections.

  Specified by:
    `getDefaultTransactionIsolation` in interface `FirebirdConnectionProperties`
  Returns:
    default transaction isolation level.

### setDefaultTransactionIsolation

    public void setDefaultTransactionIsolation(int defaultIsolationLevel)

  Description copied from interface: `FirebirdConnectionProperties`
  Set the default transaction isolation level.

  Specified by:
    `setDefaultTransactionIsolation` in interface `FirebirdConnectionProperties`
  Parameters:
    `defaultIsolationLevel` - default transaction isolation level.

### getDefaultIsolation

    public String getDefaultIsolation()

  Description copied from interface: `FirebirdConnectionProperties`
  Get the default transaction isolation level as string. This method is complementary to the `FirebirdConnectionProperties.getDefaultTransactionIsolation()`, however it takes a string as parameter instead of a numeric constant.

  Specified by:
    `getDefaultIsolation` in interface `FirebirdConnectionProperties`
  Returns:
    default transaction isolation as string.
  See Also:
    `FirebirdConnectionProperties.setDefaultIsolation(String)`

### setDefaultIsolation

    public void setDefaultIsolation(String isolation)

  Description copied from interface: `FirebirdConnectionProperties`
  Set the default transaction isolation level as string. This method is complementary to the `FirebirdConnectionProperties.setDefaultTransactionIsolation(int)`, however it takes a string as parameter instead of a numeric constant.

  Following strings are allowed:

  - `"TRANSACTION_READ_COMMITTED"` for a READ COMMITTED isolation level.
  - `"TRANSACTION_REPEATABLE_READ"` for a REPEATABLE READ isolation level.
  - `"TRANSACTION_SERIALIZABLE"` for a SERIALIZABLE isolation level.

  Specified by:
    `setDefaultIsolation` in interface `FirebirdConnectionProperties`
  Parameters:
    `isolation` - string constant representing a default isolation level.

### getTransactionParameters

    public TransactionParameterBuffer getTransactionParameters(int isolation)

  Description copied from interface: `FirebirdConnectionProperties`
  Get the transaction parameter buffer corresponding to the current connection request information.

  Specified by:
    `getTransactionParameters` in interface `FirebirdConnectionProperties`
  Parameters:
    `isolation` - transaction isolation level for which TPB should be returned.
  Returns:
    instance of `TransactionParameterBuffer`.

### setTransactionParameters

    public void setTransactionParameters(int isolation,
                                         TransactionParameterBuffer tpb)

  Description copied from interface: `FirebirdConnectionProperties`
  Set transaction parameters for the specified transaction isolation level. The specified TPB is used as a default mapping for the specified isolation level.

  Specified by:
    `setTransactionParameters` in interface `FirebirdConnectionProperties`
  Parameters:
    `isolation` - transaction isolation level.
    `tpb` - instance of `TransactionParameterBuffer` containing transaction parameters.

### getMapper

    public FBTpbMapper getMapper()
                          throws FBResourceException

  Throws:
    `FBResourceException`

Copyright © 2001-2010. All Rights Reserved.